Subject: Re: 1/32 Ju-87 for ARC
From: "Steve Bamford ARC" <[email-masked]>
To: "Jeffrey J. Brundt" <[email-masked]>
Date: Wed, 28 May 2003 07:41:19 -0700

----- Original Message ----- 
  From: Jeffrey J. Brundt 
  To: Steve Bamford 
  Sent: Tuesday, April 29, 2003 8:44 AM
  Subject: 1/32 Ju-87 for ARC

  Steve,

  As promised,  another article and pictures for ARC:

  Here's my 1/32 Revell Ju-87B-2 Stuka from the recently released RoG kit. Although this is an old Revell kit (from the early '70's) it's the only 32nd kit of the Stuka available. I used the Eduard PE detail set and it helps quite a bit to bring out the cockpit details. Let me tell you, there are A LOT of details in the PE set that need to be folded to make up the various boxes and equipment in the cockpit. At times you wonder if you're ever going to get through with all the details. By the time I was ready to do the radiator cooler my patience was up with PE so I elected to use the kit furnished one. It may not be as detailed as the Eduard one but a man's got to know his limitations.

  I had hoped for a canopy masking set from Black Magic but alas none is avaialble. So I used my trust Tamiya tape and a sharp knife. The model was painted with MM RLM enamels and the markings are from Eagle Strike Productions depicting a unit from the Afrika campaign. You get a nice decal sheet from RoG via Cartograf but none of the marking supplied appealed to me. A liberal application of MicroSol helped the decals settle nicley over all those raised rivets. Overall the kit went together very well with minimal filler needed. The raised detail is probably overdone but it looks good to me. This is vintage Revell at it's best and even though the kit is dated by todays standards it still can be built into a nice model. Plus in 1/32 it is impressive in size.

  Jeff Brundt

  Visit my web site @
  http://www.geocities.com/jbrundt

------------------------------------------------------------------------------
  Do you Yahoo!?
  The New Yahoo! Search - Faster. Easier. Bingo.